%c2d.m
%continuous to discrete-time
%function [P,G]=c2d(A,B,T)
function [P,G]=c2d(A,B,T)
[m,n]=size(A);
AT=A*T;
P=expm(AT);
if det(A)==0
   G=AT;
   for i=1:20;
      G=G+AT^(i+1)/factorial(i);
   end
else
   G=inv(A)*(P-eye(m));
end
G=G*B;
