%  wavegram.m
%  produces a sonogram 
function wavgram(name)
[x,fs,bits]=wavread(name);
Nfft=512
window=ones(Nfft,1);
Nover=64
[gram,F,T]=spectgr(x,Nfft,fs,window,Nover);
maggram=log(abs(gram));
mag=1-maggram;
subplot(2,1,1)
plot(x)
subplot(2,1,2)
colormap('gray')
imagesc(T,F,mag),title('wave'),xlabel('Time'), ylabel('Frequency');

%wavwrite(x,2*fs,'high.wav')


