%af2df.m
%********* analog filter to digital filter
%    [nd,dd]=af2df(n,d,T)
%where nd = numerator of digital filter
%      dd = denominator of digital filter
%      n  = numerator of analog filter
%      d  = denominator of analog filter
%      d  = sampling interval

function [nd,dd]=af2df(n,d,T)
[A,B,C,D]=tf2ss(n,d);
[P,G]=c2d(A,B,T);
[nd,dd]=ss2tf(P,G,C,D);